<?xml version="1.0" encoding="UTF-8"?>
<codesense>

	<!-- Special case: allowing HTML completions immediately prior to PHP tags -->
	
	<!-- HTML entities -->
	<provider>
		<selector>language-root.php delimiter.source.start bracket.angle.open</selector>
		<completions>com.macrabbit.html.entities</completions>
		<complete-match capture="1">&amp;([a-zA-Z0-9]*)</complete-match>
	</provider>
	
	<!-- HTML tags -->
	<provider>
		<selector>language-root.php delimiter.source.start bracket.angle.open</selector>
		<completions>com.macrabbit.html.tags</completions>
		<completions>com.macrabbit.html.tags.self-closing</completions>
		<complete-match capture="2">(&lt;)([a-zA-Z0-9-]*)</complete-match>
		<require-suffix>(&lt;)</require-suffix>
	</provider>
	
	<!-- HTML attributes -->
	<provider>
		<selector>language-root.php delimiter.source.start bracket.angle.open</selector>
		<completions>com.macrabbit.html.tag.${tag}.attributes</completions>
		<completions>com.macrabbit.html.tag.standard-attributes</completions>
		<completions>com.macrabbit.html.tag.event-attributes</completions>
		<complete-match capture="2">(\s)([a-zA-Z0-9-]*)</complete-match>
		<require-suffix>(&lt;)</require-suffix>
	</provider>
	
</codesense>